Bug 1544852 - build: glusterfs.spec %post ganesha is missing %{?rhel} test
Summary: build: glusterfs.spec %post ganesha is missing %{?rhel} test
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1544824
TreeView+ depends on / blocked
 
Reported: 2018-02-13 15:55 UTC by Kaleb KEITHLEY
Modified: 2018-09-20 15:49 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:42:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:59 UTC
Red Hat Bugzilla 1544824 None None None Never

Internal Links: 1544824

Description Kaleb KEITHLEY 2018-02-13 15:55:32 UTC
Description of problem:

In RHGS-3.3.x the glusterfs.spec has

%if ( 0%{?_build_server} )
%if ( ( 0%{?fedora} && 0%{?fedora} > 25 ) || ( 0%{?rhel} && 0%{?rhel} > 6 ) )
%post ganesha
semanage boolean -m ganesha_use_fusefs --on
exit 0
%endif
%endif

but the RHGS-3.4 version has just

%if ( 0%{?_build_server} )
%if( 0%{?fedora} && 0%{?fedora} > 25 )
%post ganesha
semanage boolean -m ganesha_use_fusefs --on
exit 0
%endif
%endif

which is causing nfs-ganesha to fail to start.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Kaleb KEITHLEY 2018-02-13 16:02:34 UTC
don't forget the matching change in %postun ganesha

Comment 8 Kaleb KEITHLEY 2018-02-19 17:36:22 UTC
The changes required (described above) are not in the upstream 3.10 branch. There are no changes AFAICT related to ganesha in the upstream release-3.10 spec.

The changes described, were added directly to the glusterfs.spec in the dist repo for RHGS-3.3.  For RHGS-3.3 they were made  in v3.8.4-30.

The glusterfs.spec(.in) that's in the glusterfs-3.12.2.tar.gz does not have semanage commands either. There is no patch to that file that we can send that will apply cleanly. It has to be done by hand. I believe there is enough context above for the changes to be made directly to the glusterfs.spec now, just as they were made for 3.8.4-30.

Comment 14 errata-xmlrpc 2018-09-04 06:42:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.